"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BpmnEditorFactory = void 0;
var common_1 = require("../../common");
var api_1 = require("../api");
var BpmnEditor_1 = require("./BpmnEditor");
var dmn_language_service_1 = require("@kie-tools/dmn-language-service");
var BpmnEditorFactory = (function () {
    function BpmnEditorFactory(gwtEditorEnvelopeConfig) {
        this.gwtEditorEnvelopeConfig = gwtEditorEnvelopeConfig;
    }
    BpmnEditorFactory.prototype.createEditor = function (ctx, initArgs) {
        var _a;
        var dmnLs = new dmn_language_service_1.DmnLanguageService({
            getDmnImportedModel: function () { return Promise.resolve({ relativePath: "", content: "" }); },
        });
        var exposedInteropApi = {
            dmnLanguageService: {
                getDmnDocumentData: function (dmnContent) {
                    return dmnLs.getDmnDocumentData(dmnContent);
                },
            },
        };
        window.envelope = __assign(__assign({}, ((_a = window.envelope) !== null && _a !== void 0 ? _a : {})), exposedInteropApi);
        var languageData = (0, api_1.getBpmnLanguageData)(initArgs.resourcesPathPrefix);
        var factory = new common_1.GwtEditorWrapperFactory(languageData, function (self) {
            return new BpmnEditor_1.BpmnEditorImpl(languageData.editorId, self.gwtAppFormerConsumedInteropApi.getEditor(languageData.editorId), ctx.channelApi, new common_1.XmlFormatter(), self.gwtStateControlService, self.kieBcEditorsI18n);
        }, this.gwtEditorEnvelopeConfig);
        return factory.createEditor(ctx, initArgs);
    };
    return BpmnEditorFactory;
}());
exports.BpmnEditorFactory = BpmnEditorFactory;
//# sourceMappingURL=BpmnEditorFactory.js.map